aboutsummaryrefslogtreecommitdiff
path: root/libraries/python3-contourpy
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/python3-contourpy')
-rw-r--r--libraries/python3-contourpy/README12
-rw-r--r--libraries/python3-contourpy/python3-contourpy.SlackBuild88
-rw-r--r--libraries/python3-contourpy/python3-contourpy.info10
-rw-r--r--libraries/python3-contourpy/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/libraries/python3-contourpy/README b/libraries/python3-contourpy/README
new file mode 100644
index 0000000000000..e62d1b3c29592
--- /dev/null
+++ b/libraries/python3-contourpy/README
@@ -0,0 +1,12 @@
+ContourPy is a Python library for calculating contours of 2D
+quadrilateral grids. It is written in C++11 and wrapped using pybind11.
+
+It contains the 2005 and 2014 algorithms used in Matplotlib as well as
+a newer algorithm that includes more features and is available in both
+serial and multithreaded versions.
+
+NOTE: This is intended to be installed mainly as a dependency for newer
+ matplotlib versions. Thus, presently just the core functionality
+ is provided, since additional features, i.e. the bokeh renderer,
+ need optional dependencies, which are not yet available through
+ SlackBuilds.org. This might change in the future.
diff --git a/libraries/python3-contourpy/python3-contourpy.SlackBuild b/libraries/python3-contourpy/python3-contourpy.SlackBuild
new file mode 100644
index 0000000000000..eaf4988660fd4
--- /dev/null
+++ b/libraries/python3-contourpy/python3-contourpy.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+# Slackware build script for contourpy
+
+# Copyright 2024 Serban Udrea <s.udrea@gsi.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-contourpy
+SRCNAM=contourpy
+VERSION=${VERSION:-1.0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# There where issues with the stock version of setuptools, although
+# it should be in principle OK. Using the newer version provided by
+# the python3-setuptools-opt SlackBuild solved the problems. To make
+# use of the newer version one needs the following two lines of code.
+#
+PYVER=$(python3 -c 'import sys; print("%d.%d" % sys.version_info[:2])')
+export PYTHONPATH=/opt/python$PYVER/site-packages
+
+python3 -m build --wheel --no-isolation
+python3 -m installer --destdir "$PKG" dist/*.whl
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE PKG-INFO README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/python3-contourpy/python3-contourpy.info b/libraries/python3-contourpy/python3-contourpy.info
new file mode 100644
index 0000000000000..7c1161c137940
--- /dev/null
+++ b/libraries/python3-contourpy/python3-contourpy.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-contourpy"
+VERSION="1.0.7"
+HOMEPAGE="https://github.com/contourpy/contourpy"
+DOWNLOAD="https://files.pythonhosted.org/packages/b4/9b/6edb9d3e334a70a212f66a844188fcb57ddbd528cbc3b1fe7abfc317ddd7/contourpy-1.0.7.tar.gz"
+MD5SUM="e0d60b16c86e66637ba5ab42245fd422"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pybind11 python3-numpy python3-setuptools-opt"
+MAINTAINER="Serban Udrea"
+EMAIL="S.Udrea@gsi.de"
diff --git a/libraries/python3-contourpy/slack-desc b/libraries/python3-contourpy/slack-desc
new file mode 100644
index 0000000000000..932b2204ccdbd
--- /dev/null
+++ b/libraries/python3-contourpy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-contourpy: python3-contourpy (calculate contours of 2D quadrilateral grids)
+python3-contourpy:
+python3-contourpy: ContourPy is a Python library for calculating contours of 2D
+python3-contourpy: quadrilateral grids. It is written in C++11 and wrapped using
+python3-contourpy: pybind11.
+python3-contourpy:
+python3-contourpy: It contains the 2005 and 2014 algorithms used in Matplotlib as well as
+python3-contourpy: a newer algorithm that includes more features and is available in both
+python3-contourpy: serial and multithreaded versions.
+python3-contourpy:
+python3-contourpy: Homepage: https://github.com/contourpy/contourpy